On 12/13/06, Dave Rose <bitdoger2 / yahoo.com> wrote:
> To all..my ruby program developed in v182.1
> runs to completion on my Win2k srvcpak4
> but crashes on my boss' Win2k srvpak2 machine with Ruby v184
> ntuser.dat file is updated after a message saying that ruby is logging
> the error but, i can't see it (under notepad) because it's
> locked out by the system process...there are no 'events' logged
> either...any suggestions? which version of Ruby is rock solid
> 182 or 184 or 185 should i upgrade boss' desktop to srvc pak 4
> remember i'm trying to IMPRESS MY BOSS about ruby!!!!

There were some changes between the versions. For 1.8.4 184-20.exe
is the safest, or you can try 185-21.exe. 1.8.4 seems safer for me.

Then, try running your program on your computer with the very version
your boss has installed.

The crash should not happen anyways... what are you doing, where did it crash?
Are you using OLE? WinAPI? other low level calls? any own extensions? XML?

If you cannot determine the reason yourself, and you can share the code, try
posting it here along with the exact error and ruby version.

Maybe you might have a look at Release changes to see if there's
anything suspectible.